searchNodes=[{"doc":"This is an implementation of the ULID (Universally Unique Lexicographically Sortable Identifier) spec.","ref":"Ulid.html","title":"Ulid","type":"module"},{"doc":"Takes a Crockford 32 encoded ULID and returns a a 128 bit binary ULID. Raises Ulid.Error.InvalidUlidString when the input is malformed. Examples iex&gt; ulid = &quot;01G3C1TW8AKE19BYDDR6996C1D&quot; iex&gt; Ulid . decode ( ulid ) &lt;&lt; 1 , 128 , 216 , 29 , 113 , 10 , 155 , 130 , 149 , 249 , 173 , 193 , 146 , 147 , 48 , 45 &gt;&gt;","ref":"Ulid.html#decode/1","title":"Ulid.decode/1","type":"function"},{"doc":"Takes a 128 bit binary ULID and returns a Crockford 32 encoded ULID. Raises Ulid.Error.InvalidBinary when the input is malformed. Examples iex&gt; ulid = &lt;&lt; 1 , 128 , 211 , 67 , 45 , 254 , 115 , 142 , 105 , 252 , 121 , 217 , 228 , 222 , 219 , 155 &gt;&gt; iex&gt; Ulid . encode ( ulid ) &quot;01G39M6BFYEE76KZ3SV7JDXPWV&quot;","ref":"Ulid.html#encode/1","title":"Ulid.encode/1","type":"function"},{"doc":"Generates a Crockford 32 encoded ULID for the given timestamp which must be in milliseconds. If no timestamp is given it uses the current system time. Examples iex&gt; ulid = Ulid . generate ( ) iex&gt; &lt;&lt; _ :: size ( 208 ) &gt;&gt; = ulid","ref":"Ulid.html#generate/1","title":"Ulid.generate/1","type":"function"},{"doc":"A Crockford 32 encoded ULID.","ref":"Ulid.html#t:t/0","title":"Ulid.t/0","type":"type"},{"doc":"Generates binary ULIDs.","ref":"Ulid.Binary.html","title":"Ulid.Binary","type":"module"},{"doc":"Generates a binary ULID. Examples iex&gt; ulid = Ulid.Binary . generate ( ) iex&gt; &lt;&lt; _ :: size ( 128 ) &gt;&gt; = ulid","ref":"Ulid.Binary.html#generate/1","title":"Ulid.Binary.generate/1","type":"function"},{"doc":"A 128 bit ULID consisting of: 48 bits millisecond timestamp 80 bits of randomness","ref":"Ulid.Binary.html#t:t/0","title":"Ulid.Binary.t/0","type":"type"},{"doc":"","ref":"Ulid.Error.InvalidBinary.html","title":"Ulid.Error.InvalidBinary","type":"exception"},{"doc":"","ref":"Ulid.Error.InvalidUlidString.html","title":"Ulid.Error.InvalidUlidString","type":"exception"}]